apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ./manifests/alertmanager-alertmanager.yaml
- ./manifests/alertmanager-podDisruptionBudget.yaml
- ./manifests/alertmanager-prometheusRule.yaml
- ./manifests/alertmanager-secret.yaml
- ./manifests/alertmanager-service.yaml
- ./manifests/alertmanager-serviceAccount.yaml
- ./manifests/alertmanager-serviceMonitor.yaml
- ./manifests/blackboxExporter-clusterRole.yaml
- ./manifests/blackboxExporter-clusterRoleBinding.yaml
- ./manifests/blackboxExporter-configuration.yaml
- ./manifests/blackboxExporter-deployment.yaml
- ./manifests/blackboxExporter-service.yaml
- ./manifests/blackboxExporter-serviceAccount.yaml
- ./manifests/blackboxExporter-serviceMonitor.yaml
- ./manifests/grafana-config.yaml
- ./manifests/grafana-dashboardDatasources.yaml
- ./manifests/grafana-dashboardDefinitions.yaml
- ./manifests/grafana-dashboardSources.yaml
- ./manifests/grafana-deployment.yaml
- ./manifests/grafana-service.yaml
- ./manifests/grafana-serviceAccount.yaml
- ./manifests/grafana-serviceMonitor.yaml
- ./manifests/kubePrometheus-prometheusRule.yaml
- ./manifests/kubeStateMetrics-clusterRole.yaml
- ./manifests/kubeStateMetrics-clusterRoleBinding.yaml
- ./manifests/kubeStateMetrics-deployment.yaml
- ./manifests/kubeStateMetrics-prometheusRule.yaml
- ./manifests/kubeStateMetrics-service.yaml
- ./manifests/kubeStateMetrics-serviceAccount.yaml
- ./manifests/kubeStateMetrics-serviceMonitor.yaml
- ./manifests/kubernetesControlPlane-prometheusRule.yaml
- ./manifests/kubernetesControlPlane-serviceMonitorApiserver.yaml
- ./manifests/kubernetesControlPlane-serviceMonitorCoreDNS.yaml
- ./manifests/kubernetesControlPlane-serviceMonitorKubeControllerManager.yaml
- ./manifests/kubernetesControlPlane-serviceMonitorKubeScheduler.yaml
- ./manifests/kubernetesControlPlane-serviceMonitorKubelet.yaml
- ./manifests/nodeExporter-clusterRole.yaml
- ./manifests/nodeExporter-clusterRoleBinding.yaml
- ./manifests/nodeExporter-daemonset.yaml
- ./manifests/nodeExporter-prometheusRule.yaml
- ./manifests/nodeExporter-service.yaml
- ./manifests/nodeExporter-serviceAccount.yaml
- ./manifests/nodeExporter-serviceMonitor.yaml
- ./manifests/prometheus-clusterRole.yaml
- ./manifests/prometheus-clusterRoleBinding.yaml
- ./manifests/prometheus-podDisruptionBudget.yaml
- ./manifests/prometheus-prometheus.yaml
- ./manifests/prometheus-prometheusRule.yaml
- ./manifests/prometheus-roleBindingConfig.yaml
- ./manifests/prometheus-roleBindingSpecificNamespaces.yaml
- ./manifests/prometheus-roleConfig.yaml
- ./manifests/prometheus-roleSpecificNamespaces.yaml
- ./manifests/prometheus-service.yaml
- ./manifests/prometheus-serviceAccount.yaml
- ./manifests/prometheus-serviceMonitor.yaml
- ./manifests/prometheusAdapter-apiService.yaml
- ./manifests/prometheusAdapter-clusterRole.yaml
- ./manifests/prometheusAdapter-clusterRoleAggregatedMetricsReader.yaml
- ./manifests/prometheusAdapter-clusterRoleBinding.yaml
- ./manifests/prometheusAdapter-clusterRoleBindingDelegator.yaml
- ./manifests/prometheusAdapter-clusterRoleServerResources.yaml
- ./manifests/prometheusAdapter-configMap.yaml
- ./manifests/prometheusAdapter-deployment.yaml
- ./manifests/prometheusAdapter-podDisruptionBudget.yaml
- ./manifests/prometheusAdapter-roleBindingAuthReader.yaml
- ./manifests/prometheusAdapter-service.yaml
- ./manifests/prometheusAdapter-serviceAccount.yaml
- ./manifests/prometheusAdapter-serviceMonitor.yaml
- ./manifests/prometheusOperator-clusterRole.yaml
- ./manifests/prometheusOperator-clusterRoleBinding.yaml
- ./manifests/prometheusOperator-deployment.yaml
- ./manifests/prometheusOperator-prometheusRule.yaml
- ./manifests/prometheusOperator-service.yaml
- ./manifests/prometheusOperator-serviceAccount.yaml
- ./manifests/prometheusOperator-serviceMonitor.yaml
- ./manifests/setup/0alertmanagerConfigCustomResourceDefinition.yaml
- ./manifests/setup/0alertmanagerCustomResourceDefinition.yaml
- ./manifests/setup/0podmonitorCustomResourceDefinition.yaml
- ./manifests/setup/0probeCustomResourceDefinition.yaml
- ./manifests/setup/0prometheusCustomResourceDefinition.yaml
- ./manifests/setup/0prometheusruleCustomResourceDefinition.yaml
- ./manifests/setup/0servicemonitorCustomResourceDefinition.yaml
- ./manifests/setup/0thanosrulerCustomResourceDefinition.yaml
- ./manifests/setup/namespace.yaml
